import { request } from '@/utils/request'

export function lineLogin(params) {
  // return request('/auth/lineLogin','post', params, {requestBase:'sso'})
  return request('/auth/lineLogin','post', params)
}

export function lineReg(params) {
  return request('/auth/lineReg','post', params)
}

export function login(params){
  return request('/auth/login','post',params)
}

export function checkPhone(params){
  return request('/auth/checkPhone','post',params)
}

export function sendVerify(username){
  return request('/auth/sendVerify','post', {username})
}

export function checkLogin(){
  return request('/auth/checkLogin')
}

export function register(params){
  return request('/auth/register','post',params)
}

